use ansi_term::ANSIGenericString;
use ansi_term::Colour::RGB;
use std::env::current_dir;

pub const PATH_COL: ansi_term::Colour = RGB(82, 82, 82); //

pub fn pwd() -> ANSIGenericString<'static, str> {
    let path = current_dir().map_or_else(
        |_| "~~".to_string(),
        |path| path.to_string_lossy().to_string(),
    );
    PATH_COL.italic().paint(path)
}
